isEmpty(INSTALL_ROOT) {
    INSTALL_ROOT = /usr/local/cumbia-libs
}

isEmpty(prefix) {
    prefix = $${INSTALL_ROOT}
}

isEmpty(CUMBIA_ROOT) {
    CUMBIA_ROOT=$${prefix}
}

include ($${CUMBIA_ROOT}/include/cumbia-qtcontrols/cumbia-qtcontrols.pri)

isEmpty(INSTALL_ROOT) {
    INSTALL_ROOT = /usr/local/cumbia-libs
}

MAKEFILE=Makefile.qmake

TEMPLATE = lib
CONFIG += plugin
QT       += core gui

QUMBIA_PLUGINS_INCLUDES=$${INSTALL_ROOT}/include/qumbia-plugins
QUMBIA_PLUGINS_SHARE=$${INSTALL_ROOT}/share/qumbia-plugins
QUMBIA_PLUGINS_LIBDIR=$${INSTALL_ROOT}/lib/qumbia-plugins
QUMBIA_PLUGINS_DOCDIR=$${INSTALL_ROOT}/share/doc/qumbia-plugins

INC_DIR = $${QUMBIA_PLUGINS_INCLUDES}
SHAREDIR = $${QUMBIA_PLUGINS_SHARE}
PLUGIN_LIB_DIR = $${QUMBIA_PLUGINS_LIBDIR}

DESTDIR = plugins

unix:!android-g++ {
    DEFINES += CUMBIAQTCONTROLS_HAS_QWT=1
}

DOC_DIR = $${QUMBIA_PLUGINS_DOCDIR}

!isEmpty(docs) {
    doc.commands = \
    doxygen \
    Doxyfile;
    doc.files = doc/*
    doc.path = $${DOC_DIR}

    QMAKE_EXTRA_TARGETS += doc
    INSTALLS += doc
}
else {
    message("call qmake docs=1 to generate and install docs")
}

target.path = $${PLUGIN_LIB_DIR}
inc.path = $${INC_DIR}

INSTALLS += target inc

DEFINES_QUMBIA_PLUGINS_LIBDIR = $${prefix}/lib/qumbia-plugins

# added by cumbia-qtcontrols.pri, not included by this file
#
DEFINES += \
    CUMBIA_QTCONTROLS_PLUGIN_DIR=\"\\\"$${DEFINES_QUMBIA_PLUGINS_LIBDIR}\\\"\" \


isEmpty(buildtype) {
        buildtype = release
} else {
    equals(buildtype, debug) {
        message("")
        message("debug build")
        message("")
    }
}


CONFIG += $${buildtype} plugin

QT += dbus xml

INCLUDEPATH = src $${INCLUDEPATH}

DBUS_ADAPTORS += src/cumbiadbus.xml
DBUS_INTERFACES += src/cumbiadbus.xml

TARGET = $$qtLibraryTarget(cumbia-dbus-plugin)

DEFINES -= QT_NO_DEBUG_OUTPUT

# Input
HEADERS += \
    src/cumbiadbusplugin.h \
    src/quappdbus.h \
    src/quappdbuscontroller.h

SOURCES += \
    src/cumbiadbusplugin.cpp \
    src/quappdbus.cpp \
    src/quappdbuscontroller.cpp

inc.files += $${HEADERS} cumbiadbus_interface.h

DISTFILES += \
    quapplication.xml

